GensivDocs
AcademyAPI referenceMCP

Basics

OverviewAuthenticationRate limitsErrors

Endpoints

List articles GETWrite article POSTGet article GETRefresh page POST
Articles

List articles GET

Created or refreshed documents, newest first.

Get article GET

One document with its steps.

Gensiv

Resources

AcademyWebsiteBlogGlossary

Developer tools

API referenceMCP serverChangelog

Support

Contact supportGetting startedRate limits

© 2026 Gensiv. All rights reserved.

Articles

Write article

POST
/brands/{brandId}/documents

Write a new page in the background.

Authorization

apiKey write
headerx-api-key<token>

Workspace API key from Settings > API keys. Also accepted as Authorization: Bearer gsk_...

Scope: write

Path Parameters

brandId*string
Formatuuid

Request Body

application/json
  1. body
  1. body
  2. …
promptId?|
Formatuuid
Defaultnull
personaId?|
Formatuuid
Defaultnull
tone?|
Lengthlength <= 60
Defaultnull
keyPoints?array<>
Itemsitems <= 10
Default[]
blockedWords?array<>
Itemsitems <= 30
Default[]
references?array<>
Itemsitems <= 5
Default[]
topic?string
Lengthlength <= 500
contentType*string
Value in"article""blog_post""listicle""how_to""comparison""alternatives""faq_hub""case_study"
length?string
Default"medium"
Value in"short""medium""long"

Response Body

Generation queued

application/json
  1. response
  1. response
  2. …
id*string
Formatuuid
Example Request
curl -X POST 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/documents' \  -H 'Content-Type: application/json' \  -d '{  "contentType": "article"}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"}

List articles GET

Created or refreshed documents, newest first.

Get article GET

One document with its steps.

Start free trial
Start free trial
Example Request
curl -X POST 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/documents' \
  -H 'Content-Type: application/json' \
  -d '{
  "contentType": "article"
}'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}